### File

`packages/ecl/components/ecl-card/ecl-card.component.ts`

### Description

Card component based on the ECL design system. Combines image, title, and content block areas into a unified card layout.

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit` `OnDestroy`

### Metadata

selector | `ecl-card`
styles | `:host { display: block; }`
templateUrl | `./ecl-card.component.html`

### Index

###### Properties
eclCardImage eclContentBlock eclContentBlockTitle role
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'article'`
Sets the ARIA role for the card.

class
Type : `string`
Computes and returns the CSS class string for the card container.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclCardImage
Type : `EclCardImageDirective`
Decorators : `@ContentChild(undefined, {descendants: true})`
Projected image directive inside the card.

eclContentBlock
Type : `EclContentBlockComponent`
Decorators : `@ContentChild(undefined, {descendants: true})`
Projected ECL content block inside the card.

eclContentBlockTitle
Type : `EclContentBlockTitleDirective`
Decorators : `@ContentChild(undefined, {descendants: true})`
Projected content block title directive inside the card.

role
Type : `string`
Default value : `'article'`
Decorators : `@HostBinding('attr.role')`
Sets the ARIA role for the card.

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS class string for the card container. Returns : `string`

# results matching ""

# No results matching ""